Package Details: excellent-bifurcation 0.0.20071015-4

Git Clone URL: https://aur.archlinux.org/excellent-bifurcation.git (read-only)
Package Base: excellent-bifurcation
Description: A shmup with an evil twist.
Upstream URL: http://www.allegro.cc/depot/ExcellentBifurcation
Licenses: GPL3
Submitter: keenerd
Maintainer: keenerd
Last Packager: keenerd
Votes: 4
Popularity: 0.000017
First Submitted: 2010-12-30 02:14
Last Updated: 2015-06-13 04:36

Latest Comments

linkmauve commented on 2015-04-23 19:47

And sorry for not contacting you again, I thought that comment and out-of-date flagging was enough. :s

keenerd commented on 2015-04-23 19:42

My apologies, I thought I pushed your changes weeks ago.

linkmauve commented on 2015-03-05 17:34

Hi, I posted a newer version of this PKGBUILD here: http://linkmauve.fr/files/excellent-bifurcation-0.0.20071015-4.src.tar.gz

It now builds against the -6 revision of the Debian package, which added quite a few patches (for XDG basedir support for example) and a desktop file.

I also tested it on my ARM machine, and thus added the armv7h arch support.

keenerd commented on 2012-01-19 16:16

Fixed and fixed.

matthiaskrgr commented on 2012-01-18 22:51

Hmm, it looks like allegro needs to be replaced by allegro4 in the deps.

I also get this while makepkg:

main.c: In function ‘main’:
main.c:120:4: warning: implicit declaration of function ‘sprintf’ [-Wimplicit-function-declaration]
main.c:120:4: warning: incompatible implicit declaration of built-in function ‘sprintf’ [enabled by default]
pbullet.c: In function ‘pbullet_collision’:
pbullet.c:328:6: warning: variable ‘destroy_type’ set but not used [-Wunused-but-set-variable]
pbullet.c: In function ‘seeker_collision’:
pbullet.c:582:6: warning: variable ‘destroy_type’ set but not used [-Wunused-but-set-variable]
pbullet.c: In function ‘blue_beam_collision’:
pbullet.c:419:24: warning: ‘which_explode’ may be used uninitialized in this function [-Wuninitialized]
pbullet.c:424:20: warning: ‘dam’ may be used uninitialized in this function [-Wuninitialized]
pbullet.c: In function ‘blue2_beam_collision’:
pbullet.c:483:24: warning: ‘which_explode’ may be used uninitialized in this function [-Wuninitialized]
pbullet.c:486:20: warning: ‘dam’ may be used uninitialized in this function [-Wuninitialized]
/usr/bin/ld: /tmp/ccBXV5mN.o: undefined reference to symbol 'hypot@@GLIBC_2.2.5'
/usr/bin/ld: note: 'hypot@@GLIBC_2.2.5' is defined in DSO /lib/libm.so.6 so try adding it to the linker command line
/lib/libm.so.6: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
==> ERROR: A failure occurred in build().
Aborting...